import { html as h } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (l, t, o, s) => {
  for (var e = s > 1 ? void 0 : s ? m(t, o) : t, n = l.length - 1, i; n >= 0; n--)
    (i = l[n]) && (e = (s ? i(t, o, e) : i(e)) || e);
  return s && e && g(t, o, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--sortAscending", this.class = "c-pieIcon c-pieIcon--sortAscending", this.name = "IconSortAscending";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--sortAscending"><path d="M1 7.344h6.816l-.551 1.312H1V7.344Zm8.286-3.5H1v1.312h7.735l.551-1.312ZM1 12.156h4.786l.56-1.312H1v1.312Zm12.994-2.502L12.156 11.5V6.25h-1.312v5.25L9.006 9.654l-.927.971 2.625 2.625a1.075 1.075 0 0 0 1.54 0l2.625-2.625-.875-.971Z"></path></svg>`;
  }
};
c([
  p({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  p({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  a("icon-sort-ascending")
], r);
export {
  r as IconSortAscending
};
